package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonDevJhReal;
import cn.cecep.talroad.vo.MonDevJhRealVo;
import cn.cecep.talroad.vo.analysis.AvgValueVo;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Date;
/**
 * 设备数据-焦化-实时 保存设备的实时数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonDevJhRealService extends  IService<MonDevJhReal>
{
    /**
     * 查询设备数据-焦化-实时 保存设备的实时数据列表
     *
     * @param monDevJhReal 设备数据-焦化-实时 保存设备的实时数据
     * @return 设备数据-焦化-实时 保存设备的实时数据集合
     */
    public List<MonDevJhReal> selectMonDevJhRealList(MonDevJhReal monDevJhReal);

    List<MonDevJhRealVo> getDataPage(String factoryId, List<String> deviceIds, String startTime, String endTime, String orderField, String orderType, Page page);

    List<MonDevJhReal> selectLastHourData(MonDevJhReal real);

    List<MonDevJhReal> selectLatestByParams(String industry, String deviceType, Date lastHour,Date curr);

    List<AvgValueVo> selectAvgTempByParams(Date lastHourBegin, Date lastHourEnd);

    List<AvgValueVo> selectAvgPressByParams(Date lastHourBegin, Date lastHourEnd);

    List<MonDevJhReal> selectMonDevJhRealListByDataTime(DateTime queryBeginTime, DateTime queryEndTime, String deviceId);

    List<AvgValueVo> selectLastDayData(DateTime queryBeginTime, DateTime queryEndTime);
}
